# $Id: vcdimager.spec,v 1.2 2002/12/09 18:09:09 dude Exp $

Summary: VideoCD (pre-)mastering and ripping tool.
Name: vcdimager
Version: 0.6.2
Release: fr0.rh73.1
License: GPL
Group: Applications/Multimedia
Source: http://www.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
URL: http://www.gnu.org/software/vcdimager/
BuildRoot: %{_tmppath}/%{name}-root

%description 
VCDImager allows you to create VideoCD BIN/CUE CD images from mpeg
files which can be burned with cdrdao or any other program capable of
burning BIN/CUE files.

VCDRip, which comes with VCDImager, does the reverse operation. That
is, ripping mpeg streams from images (and already burned VideoCDs)
and showing some information about the VideoCD.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%post
/sbin/install-info \
        --info-dir=%{_infodir} %{_infodir}/vcdimager.info*

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete \
        --info-dir=%{_infodir} %{_infodir}/vcdimager.info*
fi

%files
%defattr(-, root, root)
%doc AUTHORS BUGS FAQ TODO COPYING ChangeLog INSTALL NEWS README THANKS
%{_bindir}/vcdrip
%{_bindir}/vcdimager
%{_infodir}/vcdimager.info*
%{_mandir}/man1/*

%changelog
* Mon Dec  9 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.

* Sat Jan 20 2001 Herbert Valerio Riedel <hvr@gnu.org>
- added THANKS file as doc

* Thu Jan  4 2001 Herbert Valerio Riedel <hvr@gnu.org>
- fixed removal of info pages on updating packages

* Sat Dec 23 2000 Herbert Valerio Riedel <hvr@gnu.org>
- added vcdrip
- removed glib dependancy

* Sat Aug 26 2000 Herbert Valerio Riedel <hvr@gnu.org>
- spec file improvements

* Mon Aug 14 2000 Herbert Valerio Riedel <hvr@gnu.org>
- first spec file

